Subject: Re: [PATCH v2] diff-highlight: make install link into DESTDIR #Makefile

From: Junio C Hamano <[email-masked]>
Date: Sat, 12 Oct 2024 12:22:32 -0700

immeëmosol <[email-masked]> writes:

> On Sat, 12 Oct 2024, 20:35 Kristoffer Haugsbakk,
> <[email-masked]> wrote:
>>
>> On Sat, Oct 12, 2024, at 19:30, immeëmosol via GitGitGadget wrote:
>> > [PATCH v2] diff-highlight: make install link into DESTDIR #Makefile
>>
>> What does `#Makefile` mean?  […]
>
> not much.
> It is an attempt to signify what the commit relates to.
> In this case it might hint at the commit not impacting the sources of
> what is built, but the build process itself.
> Maybe #🏗️ would be more clear.

Drop all these.  Study "git shortlog --no-merges" from the recent
history and try to blend in.  Don't try to be original where the
originality does not matter.

Also, resist the temptation to go outside POSIX.1 needlessly.

  https://pubs.opengroup.org/onlinepubs/9799919799/utilities/rm.html#tag_20_104

does not say "rm" takes "--force" and

  https://pubs.opengroup.org/onlinepubs/9799919799/utilities/ln.html#tag_20_67

does not say "ln" takes "--symbolic" nor "--target-directory".

Be inclusive and help those whose userland tools are not tainted by
GNUisms.

Thanks.